drop table   GRP_COV_TRANS
GO
create table GRP_COV_TRANS
(COMPANY    Char(0003)          ,
 COUNTRY    Char(0002)          ,
 GRPNO      Char(0016)          ,
 COVERAGE   Char(0003)          ,
 CLASSCODE  Char(0002)          ,
 TRNDATE    Datetime            ,
 TRNTYPE    Numeric(0004, 0)    ,
 TRNSEQN    Numeric(0003, 0)    ,
 PSTDATE    Datetime            ,
 DUEDATE    Datetime            ,
 AMOUNT     Numeric(0011, 2)    ,
 PSTPERIOD  Char(0006)          ,
 TRNPERIOD  Char(0006)          ,
 TRNREF     Char(0006)          ,
 PAYIND     Char(0001)          ,
 COMIND     Char(0001)          ,
 B49FILLER  Char(0002)           )
GO
create unique index IB49_SSYSTRAN on GRP_COV_TRANS
(COMPANY   ,
 COUNTRY   ,
 GRPNO     ,
 COVERAGE  ,
 CLASSCODE ,
 TRNDATE   ,
 TRNTYPE   ,
 TRNSEQN    )
GO
create index IB49_HGRPTRAN on GRP_COV_TRANS
(COMPANY   ,
 COUNTRY   ,
 GRPNO     ,
 TRNDATE   ,
 TRNTYPE   ,
 TRNREF     )
GO
create unique index IB49_SSYSTRND on GRP_COV_TRANS
(TRNDATE   ,
 COMPANY   ,
 COUNTRY   ,
 GRPNO     ,
 COVERAGE  ,
 CLASSCODE ,
 TRNTYPE   ,
 TRNSEQN    )
GO
create index IB49_HCOVDUED on GRP_COV_TRANS
(COMPANY   ,
 COUNTRY   ,
 GRPNO     ,
 COVERAGE  ,
 CLASSCODE ,
 DUEDATE   ,
 TRNTYPE   ,
 TRNSEQN    )
GO
grant all ON         GRP_COV_TRANS        to SIGMA
GO
