drop table   SIGMA.GRP_COV_TRANS
;
create table SIGMA.GRP_COV_TRANS
(COMPANY    Char(0003)     ,
 COUNTRY    Char(0002)     ,
 GRPNO      Char(0016)     ,
 COVERAGE   Char(0003)     ,
 CLASSCODE  Char(0002)     ,
 TRNDATE    Date           ,
 TRNTYPE    Number(0004, 0),
 TRNSEQN    Number(0003, 0),
 PSTDATE    Date           ,
 DUEDATE    Date           ,
 AMOUNT     Number(0011, 2),
 PSTPERIOD  Char(0006)     ,
 TRNPERIOD  Char(0006)     ,
 TRNREF     Char(0006)     ,
 PAYIND     Char(0001)     ,
 COMIND     Char(0001)     ,
 B49FILLER  Char(0002)      )
tablespace user_data
storage(initial 500k next 500k pctincrease 0)
;
create unique index SIGMA.IB49_SSYSTRAN on SIGMA.GRP_COV_TRANS
(COMPANY        ,
 COUNTRY        ,
 GRPNO          ,
 COVERAGE       ,
 CLASSCODE      ,
 TRNDATE        ,
 TRNTYPE        ,
 TRNSEQN         )
;
create index SIGMA.IB49_HGRPTRAN on SIGMA.GRP_COV_TRANS
(COMPANY        ,
 COUNTRY        ,
 GRPNO          ,
 TRNDATE        ,
 TRNTYPE        ,
 TRNREF          )
;
create unique index SIGMA.IB49_SSYSTRND on SIGMA.GRP_COV_TRANS
(TRNDATE        ,
 COMPANY        ,
 COUNTRY        ,
 GRPNO          ,
 COVERAGE       ,
 CLASSCODE      ,
 TRNTYPE        ,
 TRNSEQN         )
;
create index SIGMA.IB49_HCOVDUED on SIGMA.GRP_COV_TRANS
(COMPANY        ,
 COUNTRY        ,
 GRPNO          ,
 COVERAGE       ,
 CLASSCODE      ,
 DUEDATE        ,
 TRNTYPE        ,
 TRNSEQN         )
;
grant select, update, delete on SIGMA.GRP_COV_TRANS        to PUBLIC
;
commit
/
