drop table   SIGMA.CERT_COV_BILL_SPECS
;
create table SIGMA.CERT_COV_BILL_SPECS
(COMPANY    Char(0003)     ,
 COUNTRY    Char(0002)     ,
 GRPNO      Char(0016)     ,
 CERTNO     Char(0010)     ,
 COVERAGE   Char(0003)     ,
 EFFDATE    Date           ,
 BILLMODE   Char(0001)     ,
 MODFACT    Number(0006, 3),
 PARTMODE   Char(0002)     ,
 MODDAYS    Number(0004, 1),
 RETROMODE  Char(0002)     ,
 AGEIND     Char(0001)     ,
 AGETYPE    Char(0001)     ,
 ADMNPERC   Number(0006, 3),
 ADMNFLAT   Number(0011, 2),
 ADMNFEE    Number(0011, 2),
 ADMNCLM    Number(0011, 2),
 RATEIND    Char(0001)     ,
 PAYDATE    Date           ,
 C33FILLER  Char(0001)      )
tablespace user_data
storage(initial 500k next 500k pctincrease 0)
;
create unique index SIGMA.IC33_HECVDETL on SIGMA.CERT_COV_BILL_SPECS
(COMPANY        ,
 COUNTRY        ,
 GRPNO          ,
 CERTNO         ,
 COVERAGE       ,
 EFFDATE    DESC )
;
grant select, update, delete on SIGMA.CERT_COV_BILL_SPECS  to PUBLIC
;
commit
/
